package com.zsc.edu.gateway.modules.iot.tsl.entity;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.zsc.edu.gateway.common.enums.IState;

/**
 * @author lenovo
 */

public enum DataType implements IEnum<Integer>, IState<DataType> {
    /**
     * 整型
     */
    INT(1, "整型"),
    /**
     * 单精度浮点型
     */
    FLOAT(2, "单精度浮点型"),
    /**
     * 双精度浮点型
     */
    DOUBLE(3, "双精度浮点型"),
    /**
     * 布尔型
     */
    BOOLEAN(4, "布尔型"),
    /**
     * 字符串
     */
    STRING(5, "字符串"),
    /**
     * 日期型
     */
    DATE(6, "日期型"),
    /**
     * 透传
     */
    RAW(7, "透传");

    private final int value;
    private final String description;

    DataType(int value, String description) {
        this.value = value;
        this.description = description;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String toString() {
        return this.description;
    }
}
